> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Customer Requests

> ```
GET api/v1/cdd-request/customers/{uniqueId}
```




## OpenAPI

````yaml cdd-model.json GET /cdd-request/customers/{uniqueId}
openapi: 3.1.0
info:
  title: Sigma CDD API
  description: Customer Due Diligence API documentation
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd-request/customers/{uniqueId}:
    get:
      summary: Fetch customer requests
      parameters:
        - name: uniqueId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: status
          in: query
          schema:
            type: string
      responses:
        '200':
          description: CDD requests retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericListResponse'
              example:
                message: CDD requests retrieved successfully
                count: 151
                pageNumber: 1
                data:
                  - _id: 6a465fb16cbbee64ab3e9027
                    type: individual
                    workflow:
                      _id: 69aeb7523eec17ec36735130
                      name: Daily scheduled PEP, Sanctions and Adverse Media
                      slug: daily-scheduled-pep-sanctions-and-adverse-media
                    name: abdul-qawiyy oladimeji
                    status: awaiting confirmation
                    createdAt: '2026-07-02T12:55:15.275Z'
                  - _id: 6a43bd180be9769b8a481cdd
                    type: individual
                    workflow:
                      _id: 6a43b63deedd78c5301b9831
                      name: Onboarding setup - Indv
                      slug: onboarding-setup-indv
                    name: abdul-qawiyy oladimeji
                    status: completed
                    createdAt: '2026-06-30T12:56:57.489Z'
                    overallRiskLevel:
                      history:
                        - request: 6a43bd180be9769b8a481cdd
                          riskScore: 1
                          date: '2026-06-30T12:59:38.460Z'
                      request: 6a43bd180be9769b8a481cdd
                      riskScore: 1
components:
  schemas:
    GenericListResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: array
          items:
            type: object
            additionalProperties: true
        count:
          type: integer
        pageNumber:
          type: integer
        totalCount:
          type: integer
      example:
        message: fetched successfully
        data:
          - _id: 67f4f9b5c2a7d1f2b6e99122
            name: Sample record
        count: 1
        pageNumber: 1
        totalCount: 1
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````